package xn.hxp.room.tool.cabinet;

import java.util.List;

import xn.hxp.room.RoomTool;
import xn.hxp.room.bean.cabinet.CabinetDoorLock;
import xn.hxp.room.dao.cabinet.CabinetDoorLockDao;

public enum CabinetDoorLockTool {
    INSTANCE;

    private CabinetDoorLockDao cabinetDoorLockDao;

    CabinetDoorLockTool() {
        cabinetDoorLockDao = RoomTool.getInstance().cabinetDoorLockDao();
    }

    public void insert(List<CabinetDoorLock> cabinetDoorLockList) {
        cabinetDoorLockDao.insert(cabinetDoorLockList);
    }

    public void deleteAll() {
        cabinetDoorLockDao.deleteAll();
    }

    public List<CabinetDoorLock> getCabinetDoorLockList() {
        return cabinetDoorLockDao.getCabinetDoorLockList();
    }
}
